Package org.apache.tools.ant.taskdefs.optional.junit

## Class JUnitTask.JUnitLogStreamHandler

- java.lang.Object
- - org.apache.tools.ant.taskdefs.PumpStreamHandler
  - - org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.JUnitLogStreamHandler

All Implemented Interfaces:
  `ExecuteStreamHandler`

Enclosing class:
  JUnitTask

    protected static class JUnitTask.JUnitLogStreamHandler
    extends PumpStreamHandler

A log stream handler for junit.

Since:
  Ant 1.7

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.PumpStreamHandler

`PumpStreamHandler.ThreadWithPumper`

### Constructor Summary

Constructors
`JUnitLogStreamHandler​(Task task, int outlevel, int errlevel)` Constructor.

### Method Summary

### Methods inherited from class org.apache.tools.ant.taskdefs.PumpStreamHandler

`createProcessErrorPump, createProcessOutputPump, createPump, createPump, createPump, finish, getErr, getOut, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitLogStreamHandler

    public JUnitLogStreamHandler​(Task task,
                                 int outlevel,
                                 int errlevel)

Constructor.

Parameters:
  `task` - the task to log.
  `outlevel` - the level to use for standard output.
  `errlevel` - the level to use for error output.